@startuml

interface Interface

Interface <|-- MeetingPoint
UcpComponent <|- DefaultMeetingPoint
MeetingPoint -up-|> UcpComponent
UcpView <|-- ItemView
ItemView <|-- MeetingPointItemView

Interface <|-- MeetingPointToolTip
UcpView <|-- MeetingPointToolTipView
MeetingPointToolTip -up|> UcpView

interface MeetingPoint

class DefaultMeetingPoint {
    internalObjectId
                id
                lat
                lng
                nick
                fav
                rating
                services
                business
                sdesc

                iconUrl
                iconZoomedOutUrl
                iconUrlActive
                visible
                map
                mapMarker
                lastDistance
                disableApiSave

                mouseOver
                mouseClicked
                deviceList

                filterChange()
                static meetingPointFactory()
                static createMeetingPointFromJson()
                createIconUrl()
                createMapMarker()
                createPublicShifter()
                async goToMessages()
                onZoomChange()
                onMouseOut()
                onMouseOver()
                onClick()
                recalculateMeetingPoint()
                calculateDistance()
                filterShifterServices()
                _checkServices()
                _checkDevices()
                getFirstItemView()
                clearHoverOnAllMeetingpoints()
                clearToolTipOnAllMeetingpoints()
                removeChangeHistoryElement()
}

class MeetingPointItemView {
    setParameterToView()
    onFavClick()
    onMouseOver()
    onMouseOut()
    createDivI()
    removeChildElements()
    lookupElementId()
}

class MeetingPointToolTipView {
    setParameterToView()
    createDivI()
    lookupElementId()
    removeChildElements()
    onFavClick()
}

@enduml